数据提供商: DataForSEO
使用DataForSEO可以按月查看某个域名的Google排名情况。
默认输入规模下,每次调用 $0.138在 30 秒内响应
了解在某个特定地区和语言环境中,某个域名的Google排名及访问量在数月时间内的变化情况。提供一个域名和起止日期,每月一行,包含域名的排名分布、预计自然搜索和付费流量,以及新增、上升、下降和丢失排名的关键词数量。逐个读取域名。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/dataforseo_labs/google/historical_rank_overview/live on Glasser.bash
glasser run -p dataforseo -e '/v3/dataforseo_labs/google/historical_rank_overview/live' -i '{"target":"dataforseo.com","date_to":"2025-06-01","date_from":"2025-01-01","language_code":"en","location_code":2840}' --endpoint-version 6使用接口版本 6。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/dataforseo_labs/google/historical_rank_overview/live","input":{"target":"dataforseo.com","date_to":"2025-06-01","date_from":"2025-01-01","language_code":"en","location_code":2840},"endpoint_version":6}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 6,运行前请确认当前价格。
第 2 步尝试一个具体任务
审阅域名的 SEO 表现时,可以汇总可用指标,形成研究笔记中的概况。
复制此提示词到你的 Agent,整理域名的 SEO 概况。
提示词
Use dataforseo:/v3/dataforseo_labs/google/historical_rank_overview/live on Glasser.
Pull returned SEO metrics for my domain into a research snapshot.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"target",
"date_from",
"date_to"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"target": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"date_to": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"correlate": {
"type": "boolean"
},
"date_from": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_code": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_name": {
"type": "string"
},
"location_code": {
"type": "integer"
},
"location_name": {
"type": "string"
},
"ignore_synonyms": {
"type": "boolean"
},
"include_clickstream_data": {
"type": "boolean",
"description": "Add clickstream-based metrics. DataForSEO doubles the price of the call."
}
},
"additionalProperties": false
}json
{
"target": "dataforseo.com",
"date_to": "2025-06-01",
"date_from": "2025-01-01",
"language_code": "en",
"location_code": 2840
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 默认输入规模 | 更大的输入和付费选项会随数据提供商的用量而改变费用。 | $0.138 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.276 |
| 无匹配数据 | 数据提供商已响应,但没有匹配数据。 | $0.12 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |